POST API/Stock/RemoveInvoiceOutgoing
Request Information
URI Parameters
None.
Body Parameters
InvoiceOutgoingM| Name | Description | Type | Additional information |
|---|---|---|---|
| dtS | date |
None. |
|
| dtE | date |
None. |
|
| ID | globally unique identifier |
None. |
|
| Department_ID | integer |
None. |
|
| invoiceNumber | string |
None. |
|
| invoiceDate | date |
None. |
|
| isDelivered | boolean |
None. |
|
| typeOutgoing | integer |
None. |
|
| warehouse | integer |
None. |
|
| CreateDate | date |
None. |
|
| UpdateUser | globally unique identifier |
None. |
|
| UpdateDate | date |
None. |
|
| Comment | string |
None. |
|
| invoice_ID | globally unique identifier |
None. |
|
| StockOutgoings | Collection of StockOutgoingM |
None. |
|
| onlyUnattached | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"dtS": "2026-07-16T03:13:41.0166007+05:00",
"dtE": "2026-07-16T03:13:41.0166007+05:00",
"ID": "c951078d-ac39-4313-9a18-c8a73366dd10",
"Department_ID": 1,
"invoiceNumber": "sample string 2",
"invoiceDate": "2026-07-16T03:13:41.0166007+05:00",
"isDelivered": true,
"typeOutgoing": 1,
"warehouse": 4,
"CreateDate": "2026-07-16T03:13:41.0175712+05:00",
"UpdateUser": "2bb7e33d-b34e-4f85-b89d-820b90136e0a",
"UpdateDate": "2026-07-16T03:13:41.0175712+05:00",
"Comment": "sample string 5",
"invoice_ID": "5f071fa9-1917-46d2-ac14-6764db14e1f2",
"StockOutgoings": [
{
"ID": "c831c203-ffdc-4df7-ada6-2bd22d36397e",
"Stock_ID": "0ccf69c0-dac4-411a-abf9-afea17a8e812",
"Quantity": 3.0,
"CreateDate": "2026-07-16T03:13:41.0185624+05:00",
"UpdatePerson_ID": "0dd45f69-be5e-46e6-b435-9b851dc48956",
"Invoice_Details_ID": "8ce1e9a4-3541-4b14-894f-e4c3bf1d4ed9",
"Price": 7.0,
"Sum": 8.0,
"StockIncoming_ID": "4260ae64-0986-45b6-a700-cb09b97066af",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Stock": {
"ID": "a63be6fe-1bfe-448b-99ab-4f7e78d95ddb",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-07-16T03:13:41.0205138+05:00"
}
},
{
"ID": "c831c203-ffdc-4df7-ada6-2bd22d36397e",
"Stock_ID": "0ccf69c0-dac4-411a-abf9-afea17a8e812",
"Quantity": 3.0,
"CreateDate": "2026-07-16T03:13:41.0185624+05:00",
"UpdatePerson_ID": "0dd45f69-be5e-46e6-b435-9b851dc48956",
"Invoice_Details_ID": "8ce1e9a4-3541-4b14-894f-e4c3bf1d4ed9",
"Price": 7.0,
"Sum": 8.0,
"StockIncoming_ID": "4260ae64-0986-45b6-a700-cb09b97066af",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Stock": {
"ID": "a63be6fe-1bfe-448b-99ab-4f7e78d95ddb",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-07-16T03:13:41.0205138+05:00"
}
}
],
"onlyUnattached": true
}
application/xml, text/xml
Sample:
<InvoiceOutgoingM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic">
<Comment>sample string 5</Comment>
<CreateDate>2026-07-16T03:13:41.0175712+05:00</CreateDate>
<Department_ID>1</Department_ID>
<ID>c951078d-ac39-4313-9a18-c8a73366dd10</ID>
<StockOutgoings>
<StockOutgoingM>
<CreateDate>2026-07-16T03:13:41.0185624+05:00</CreateDate>
<ID>c831c203-ffdc-4df7-ada6-2bd22d36397e</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>8ce1e9a4-3541-4b14-894f-e4c3bf1d4ed9</Invoice_Details_ID>
<Price>7</Price>
<Quantity>3</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-07-16T03:13:41.0205138+05:00</CreateDate>
<ID>a63be6fe-1bfe-448b-99ab-4f7e78d95ddb</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>4260ae64-0986-45b6-a700-cb09b97066af</StockIncoming_ID>
<Stock_ID>0ccf69c0-dac4-411a-abf9-afea17a8e812</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>0dd45f69-be5e-46e6-b435-9b851dc48956</UpdatePerson_ID>
</StockOutgoingM>
<StockOutgoingM>
<CreateDate>2026-07-16T03:13:41.0185624+05:00</CreateDate>
<ID>c831c203-ffdc-4df7-ada6-2bd22d36397e</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>8ce1e9a4-3541-4b14-894f-e4c3bf1d4ed9</Invoice_Details_ID>
<Price>7</Price>
<Quantity>3</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-07-16T03:13:41.0205138+05:00</CreateDate>
<ID>a63be6fe-1bfe-448b-99ab-4f7e78d95ddb</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>4260ae64-0986-45b6-a700-cb09b97066af</StockIncoming_ID>
<Stock_ID>0ccf69c0-dac4-411a-abf9-afea17a8e812</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>0dd45f69-be5e-46e6-b435-9b851dc48956</UpdatePerson_ID>
</StockOutgoingM>
</StockOutgoings>
<UpdateDate>2026-07-16T03:13:41.0175712+05:00</UpdateDate>
<UpdateUser>2bb7e33d-b34e-4f85-b89d-820b90136e0a</UpdateUser>
<dtE>2026-07-16T03:13:41.0166007+05:00</dtE>
<dtS>2026-07-16T03:13:41.0166007+05:00</dtS>
<invoiceDate>2026-07-16T03:13:41.0166007+05:00</invoiceDate>
<invoiceNumber>sample string 2</invoiceNumber>
<invoice_ID>5f071fa9-1917-46d2-ac14-6764db14e1f2</invoice_ID>
<isDelivered>true</isDelivered>
<onlyUnattached>true</onlyUnattached>
<typeOutgoing>1</typeOutgoing>
<warehouse>4</warehouse>
</InvoiceOutgoingM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>